<?php

namespace EWR\Carta\Bookmark;

use XF\Mvc\Entity\Entity;

class Page extends \XF\Bookmark\AbstractHandler
{
	public function getContentTitle(Entity $content)
	{
		return \XF::phrase('EWRcarta_wiki_x', [
			'title' => $content->page_name
		]);
	}
	
	public function getContentRoute(Entity $content)
	{
		return 'ewr-carta';
	}

	public function getCustomIconTemplateName()
	{
		return 'public:bookmark_item_custom_icon_ewr_carta_page';
	}
}